#global gitdate 20151027
# temporary build fix:
%define _python_bytecompile_build 0

%bcond_with debug
%bcond_without xfake
%define enable_builddocs	0

# Need this for shared objects that reference X Server, or other modules symbols
%define _disable_ld_no_undefined 1

# Alternatives priority for standard libglx.so and mesa libs
%define priority 500

%define rel 1

%global __provides_exclude_from %{_datadir}/%{name}-source
%global __requires_exclude_from %{_datadir}/%{name}-source

# Released ABI versions.  Have to keep these manually in sync with the
# source because rpm is a terrible language.
%global ansic_major 0
%global ansic_minor 4
%global videodrv_major 23
%global videodrv_minor 0
%global xinput_major 24
%global xinput_minor 1
%global extension_major 10
%global extension_minor 0

%global pkgname xorg-server

Name: x11-server
Version: 1.19.4
Release:   %mkrel %rel%{?gitdate:.%{gitdate}}
Summary:  X11 servers
Group: System/X11
URL: http://xorg.freedesktop.org
%if 0%{?gitdate}
Source0:   xorg-server-%{gitdate}.tar.xz
%else
Source0:   http://www.x.org/pub/individual/xserver/%{pkgname}-%{version}.tar.bz2
Source1:   gitignore
%endif
Source4:   10-quirks.conf
Source5: mageia-setup-keyboard-udev
Source6: 61-x11-input.rules
Source10: xserver.pamd
# from RH/FC:
# "useful" xvfb-run script
Source20:  http://svn.exactcode.de/t2/trunk/package/xorg/xorg-server/xvfb-run.sh
Source21:  http://svn.exactcode.de/t2/trunk/package/xorg/xorg-server/xvfb-run.1
# for requires generation in drivers
Source30:  xserver-sdk-abi-requires.release
# for finding & loading nvidia and flgrx drivers:
Source90: 00-modules.conf
License: GPLv2+ and MIT

# Instructions to setup your repository clone
# git://anongit.freedesktop.org/git/xorg/xserver
# git checkout origin/server-1.7-branch
# git checkout -b mdv-1.7-cherry-picks
# git am ../03??-*.patch
# git checkout -b mdv-1.7-redhat
# git am ../04??-*.patch
# git checkout -b mdv-1.7-patches
# git am ../09??-*.patch

# Sync with server-1.18-branch
# git format-patch --start-number 100 xorg-server-1.18.0..server-1.18-branch

# Fedora Patches

# Various fixes pending upstream
Patch2: 0005-xfree86-Remove-redundant-ServerIsNotSeat0-check-from.patch
Patch3: 0006-xfree86-Make-adding-unclaimed-devices-as-GPU-devices.patch
Patch4: 0007-xfree86-Try-harder-to-find-atleast-1-non-GPU-Screen.patch

# Patches for better integration with the nvidia driver, pending upstream
Patch11: 0001-xfree86-Free-devlist-returned-by-xf86MatchDevice.patch
Patch12: 0002-xfree86-Make-OutputClassMatches-take-a-xf86_platform.patch
Patch13: 0003-xfree86-Add-options-support-for-OutputClass-Options.patch
Patch14: 0004-xfree86-xf86platformProbe-split-finding-pci-info-and.patch
Patch15: 0005-xfree86-Allow-overriding-primary-GPU-detection-from-.patch
Patch16: 0006-xfree86-Add-ModulePath-support-for-OutputClass-confi.patch

# Submitted upstream
Patch21: 0001-xf86-dri2-Use-va_gl-as-vdpau_driver-for-Intel-i965-G.patch

#Patch6044: xserver-1.6.99-hush-prerelease-warning.patch

Patch7025: 0001-Always-install-vbe-and-int10-sdk-headers.patch

# Submitted upstream, but not going anywhere
Patch7027: xserver-autobind-hotplug.patch

# because the display-managers are not ready yet, do not upstream
Patch10000: 0001-Fedora-hack-Make-the-suid-root-wrapper-always-start-.patch

# Mageia patches
# git format-patch --start-number 900 mdv-1.6.4-redhat..mdv-1.6.4-patches
Patch900: 0900-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-g.patch
Patch901: 0901-Don-t-print-information-about-X-Server-being-a-pre-r.patch
Patch902: 0902-Take-width-into-account-when-choosing-default-mode.patch
Patch903: 0903-LED-behavior-fixes.patch
Patch906: 0906-xfree86-need-to-press-Ctrl-Alt-Bksp-twice-to-termina.patch

# Candidates for dropping:
# 902: by pixel, so that X11 choose the best resolution with a better algorithm
# 903: Input subsystem has changed *a lot* since this patch was written... I
#      fear it might break things now
# 906: All this patch does is force users to hit ctrl+alt+bksp twice (with
#      an annoying sound) IF the hotkey is enabled. If the user chooses to
#      enable ctrk+alt+bksp, why force him to hit twice? OTOH, the sound is
#      annoying, and it should teach users to not use ctrl+alt+bksp =D

# Do not crash if Xv is not initialized (patch from xorg-devel ML)
# The crash happened when v4l was loaded and xv was not registered,
# for example on RV610 with radeon driver
Patch4001: 1001-do-not-crash-if-xv-not-initialized.patch

# (cg) Point the user at the journal rather than a logfile at /dev/null
Patch5001: point-user-at-journal-rather-than-dev-null.patch

# from Suse
Patch5009: N_Disable-HW-Cursor-for-cirrus-and-mgag200-kernel-modules.patch
Source5010: u_os-connections-Check-for-stale-FDs.patch

# Security fixes

%global moduledir	%{_libdir}/xorg/modules
%global sdkdir		%{_includedir}/xorg

%global enable_xorg --enable-xorg

%ifnarch %{ix86} x86_64
%global no_int10 --disable-vbe --disable-int10-module
%endif

%global kdrive --enable-kdrive --enable-xephyr --disable-xfake --enable-xfbdev
%global xservers --enable-xvfb --enable-xnest %{kdrive} %{enable_xorg}

Requires: %{name}-xorg
Requires: %{name}-xdmx
Requires: %{name}-xnest
Requires: %{name}-xvfb

# This should be removed when any of the vnc packages provide x11-server-xvnc:
Obsoletes: %{name}-xvnc < %{version}-%{release}

%if !%{with xfake}
Obsoletes: %{name}-xfake < %{version}-%{release}
%endif

# temp force new gcc
BuildRequires: gcc >= 5.4.0-2

BuildRequires: git
BuildRequires: libpam-devel
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(fontutil) >= 1.1
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(gl) >= 7.1
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(pciaccess)
BuildRequires: pkgconfig(pixman-1) >= 0.9.5
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(xau) >= 1.0.0
BuildRequires: pkgconfig(xaw7) >= 1.0.1
BuildRequires: pkgconfig(xdmcp) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.1
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xfont2)
BuildRequires: pkgconfig(xi) >= 1.1.3
BuildRequires: pkgconfig(xkbfile) >= 1.0.4
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: pkgconfig(xorg-macros) >= 1.10
BuildRequires: pkgconfig(xpm) >= 3.5.4.2
BuildRequires: pkgconfig(xrender) >= 0.9.4
BuildRequires: pkgconfig(xres) >= 1.0.0
BuildRequires: pkgconfig(xtrans) >= 1.3.5
BuildRequires: pkgconfig(xv)
BuildRequires: x11-proto-devel >= 7.7-11

# for ./hw/xwin/glx/gen_gl_wrappers.py:
%define _python_bytecompile_errors_terminate_build 0

# Probably only needed if we change .l or .y files, but let's have them anyway:
BuildRequires: byacc
BuildRequires: flex

# for xkbcomp patch
BuildRequires: pkgconfig(libcrypto)


BuildRequires: pkgconfig(dbus-1)

BuildRequires: pkgconfig(dmx)
BuildRequires: pkgconfig(xtst) >= 1.1

BuildRequires: pkgconfig(wayland-client) >= 1.3.0
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(xshmfence) >= 1.1

BuildRequires: pkgconfig(libunwind)

BuildRequires: pkgconfig(xcb-aux) pkgconfig(xcb-image) pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms) pkgconfig(xcb-renderutil)

%if %{enable_builddocs}
BuildRequires: doxygen
BuildRequires: fop
BuildRequires: xmlto
BuildRequires: pkgconfig(xorg-sgml-doctools)
%endif

%description
X.Org X11 X server


%package common
Summary: Xorg server common files
Group: System/X11
License: MIT
Provides: XFree86 = 7.0.0
Requires: rgb
# for 'fixed' and 'cursor' fonts
Requires: x11-font-misc-misc
Requires: x11-font-cursor-misc
Requires: x11-font-alias
Requires: x11-data-xkbdata
Requires: xkbcomp
Requires: udev
# else modesetting fails on minimal install:
Requires: %{mklibname mesaegl 1}
Requires(post): update-alternatives
Requires(postun): update-alternatives
# nvidia-71xx does not support X.org server >= 1.5
Conflicts: x11-driver-video-nvidia71xx < 71.86.09-2
# old fglrx does not support X.org server >= 1.7
Conflicts: x11-driver-video-fglrx < 8.720
# Fix: missing conflicts to allow upgrade from 2008.0 to cooker
# http://qa.mandriva.com/show_bug.cgi?id=36651
Conflicts: x11-driver-video-nvidia-current <= 100.14.19


Provides: xserver-abi(ansic-%{ansic_major}) = %{ansic_minor}
Provides: xserver-abi(videodrv-%{videodrv_major}) = %{videodrv_minor}
Provides: xserver-abi(xinput-%{xinput_major}) = %{xinput_minor}
Provides: xserver-abi(extension-%{extension_major}) = %{extension_minor}
# For proprietary drivers that can support multiple videodrv versions:
Provides: xserver-abi(videodrv) = %{videodrv_major}.%{videodrv_minor}

%description common
X server common files

%package xorg
Summary: Xorg X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
Requires: x11-data-xkbdata > 1.3-5
Requires: x11-font-alias
Requires: libx11-common
Recommends: x11-driver-input-libinput

# minimum libxfont needed for xserver-1.9:
Requires: libxfont >= 1.4.2

%rename glamor
%rename x11-driver-video-modesetting

%description xorg
X.org X11 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.


%package xnest
Summary: A nested server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xnest
Xnest is an X server which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.


%package xdmx
Summary: Distributed Multihead X Server and utilities
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xdmx
Xdmx is a proxy X server that provides multi-head support for multiple displays
attached to different machines (each of which is running a typical X server).
When Xinerama is used with Xdmx, the multiple displays on multiple machines
are presented to the user as a single unified screen.  A simple application
for Xdmx would be to provide multi-head support using two desktop machines,
each of which has a single display device attached to it.  A complex
application for Xdmx would be to unify a 4 by 4 grid of 1280x1024 displays
(each attached to one of 16 computers) into a unified 5120x4096 display.


%package xvfb
Summary: A X Windows System virtual framebuffer X server
Group: System/X11
# xvfb-run is GPLv2, rest is MIT
License: MIT and GPLv2
Requires: x11-server-common = %{version}-%{release}
Requires: xauth


%description xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb simulates a dumb framebuffer using virtual memory.  Xvfb does
not open any devices, but behaves otherwise as an X display.  Xvfb
is normally used for testing servers.


%package xephyr
Summary: A nested server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xephyr
Xephyr is an X server which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.  Unlike
Xnest, Xephyr renders to an X image rather than relaying the
X protocol, and therefore supports the newer X extensions like
Render and Composite.


%if %with xfake
%package xfake
Summary: KDrive fake X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfake
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for testing purposes.
%endif

%package xfbdev
Summary: KDrive fbdev X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfbdev
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for being used on top of linux framebuffer.

%package xwayland
Summary: Wayland X Server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xwayland
Xwayland is an X server for running X clients under Wayland.

%package devel
Summary: SDK for X server driver module development
Group: Development/X11
License: MIT

%define oldxorgnamedevel  %mklibname xorg-x11
Requires: libpixman-1-devel
Requires: libpciaccess-devel
Requires: libxkbfile-devel
Requires: libxext-devel >= 1.1
Requires: pkgconfig(xfont2)
# pkgconfig file needs dri.pc:
Requires: GL-devel

%description devel
The SDK package provides the development files which are necessary for
developing X server driver modules, and for compiling driver modules
outside of the standard X11 source code tree.  Developers writing video
drivers, input drivers, or other X modules should install this package.


%package source
Summary: Xserver source code required to build VNC server (Xvnc)
Group: Development/X11
License: MIT
BuildArch: noarch

%description source
Xserver source code needed to build VNC server (Xvnc)


%prep
%autosetup -N -n %{pkgname}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
rm -rf .git
cp %{SOURCE1} .gitignore
# ick
%global __scm git
%{expand:%__scm_setup_git -q}
%autopatch

# check the ABI in the source against what we expect.
getmajor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $4 }'
}

getminor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $5 }'
}

test `getmajor ansic` == %{ansic_major}
test `getminor ansic` == %{ansic_minor}
test `getmajor videodrv` == %{videodrv_major}
test `getminor videodrv` == %{videodrv_minor}
test `getmajor xinput` == %{xinput_major}
test `getminor xinput` == %{xinput_minor}
test `getmajor extension` == %{extension_major}
test `getminor extension` == %{extension_minor}


%build

%global default_font_path "catalogue:/etc/X11/fontpath.d,built-ins"

%global dri_flags --enable-dri2 --enable-dri3 --enable-suid-wrapper --enable-glamor

%global bodhi_flags --with-vendor-name="%_vendor"

%global wayland --enable-xwayland

%if %with debug
CFLAGS='-DBUILDDEBUG -O0 -g3' \
%endif
autoreconf -f -v --install || exit 1
%configure2_5x %{xservers} \
		--with-log-dir=%{_logdir} \
		--enable-dependency-tracking \
		%{?no_int10} --with-int10=x86emu \
		--with-default-font-path=%{default_font_path} \
		--with-module-dir=%{moduledir} \
		--with-vendor-web="https://bugs.mageia.org" \
		%if %{with debug}
		--enable-debug \
		%else
		--disable-debug \
		%endif
		--with-builderstring="Build ID: %{name} %{version}-%{release}" \
		--with-os-name="$(hostname -s) $(uname -r)" \
		--without-dtrace \
		--disable-xselinux --enable-record --enable-present \
		--enable-config-udev \
		--disable-strict-compilation \
		--enable-dpms \
		--disable-tslib \
		%if %{with xfake}
		--enable-xfake \
		%else
		--disable-xfake \
		%endif
		--disable-install-setuid \
		--enable-secure-rpc \
		--enable-pam \
		--enable-dmx \
		%{?wayland} \
		%{dri_flags} %{?bodhi_flags} \
		--with-sha1=libcrypto \

pushd include && make xorg-server.h dix-config.h xorg-config.h && popd
%make

%install
%make_install moduledir=%{moduledir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,input}

mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_libexecdir}/Xorg.wrap %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xserver
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d

# make sure the (empty) /etc/X11/xorg.conf.d is there, system-setup-keyboard
# relies on it more or less.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xorg.conf.d
 
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

# (anssi) manage proprietary drivers
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/standard.conf << EOF
# This file is knowingly empty since the libraries are in standard search
# path. Please do not remove this file.
EOF
touch %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/udev/rules.d/
install -m 0755 %{SOURCE5} %{buildroot}/sbin/mageia-setup-keyboard
install -m 0644 %{SOURCE6} %{buildroot}/lib/udev/rules.d

install -m 755 %{SOURCE30} $RPM_BUILD_ROOT%{_bindir}/xserver-sdk-abi-requires

# Make the source package
%global xserver_source_dir %{_datadir}/x11-server-source
%global inst_srcdir %{buildroot}/%{xserver_source_dir}
mkdir -p %{inst_srcdir}/{Xext,xkb,GL,hw/{xquartz/bundle,xfree86/common}}
mkdir -p %{inst_srcdir}/{hw/dmx/doc,man,doc,hw/dmx/doxygen}
cp {,%{inst_srcdir}/}hw/xquartz/bundle/cpprules.in
cp {,%{inst_srcdir}/}man/Xserver.man
cp {,%{inst_srcdir}/}doc/smartsched
cp {,%{inst_srcdir}/}hw/dmx/doxygen/doxygen.conf.in
cp {,%{inst_srcdir}/}xserver.ent.in
cp {,%{inst_srcdir}/}hw/xfree86/Xorg.sh.in
cp xkb/README.compiled %{inst_srcdir}/xkb
cp hw/xfree86/xorgconf.cpp %{inst_srcdir}/hw/xfree86

find . -type f | egrep '.*\.(c|h|am|ac|inc|m4|h.in|pc.in|man.pre|pl|txt)$' |
xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
# SLEDGEHAMMER
find %{inst_srcdir}/hw/xfree86 -name \*.c -delete

# Remove unwanted files/dirs
{
    rm -f $RPM_BUILD_ROOT%{_libdir}/X11/Options
    rm -f $RPM_BUILD_ROOT%{_bindir}/in?
    rm -f $RPM_BUILD_ROOT%{_bindir}/ioport
    rm -f $RPM_BUILD_ROOT%{_bindir}/out?
    rm -f $RPM_BUILD_ROOT%{_bindir}/pcitweak
    rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pcitweak.1*
    find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :
# wtf
%ifnarch %{ix86} x86_64
    rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/lib{int10,vbe}.so
%endif
}
 
install -m 0755 %{SOURCE20} $RPM_BUILD_ROOT%{_bindir}/xvfb-run
install -m 0755 %{SOURCE21} $RPM_BUILD_ROOT%{_mandir}/man1/xvfb-run.1
install -m 0644 %{SOURCE90} $RPM_BUILD_ROOT/usr/share/X11/xorg.conf.d/

%post common
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf %{priority}

# (anssi)
%triggerun common -- %{name}-common < 1.3.0.0-17
[ $1 -eq 2 ] || exit 0 # do not run if downgrading
current_glconf="$(readlink -e %{_sysconfdir}/ld.so.conf.d/GL.conf)"
if [ "${current_glconf#*mesa}" == "gl1.conf" ]; then
	# This an upgrade of a system with no proprietary drivers enabled, update
	# the link to point to the new standard.conf instead of libmesagl1.conf (2008.0 change).
	%{_sbindir}/update-alternatives --set gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
else
	# XFdrake did not set symlink to manual mode before 2008.0, so we ensure it here.
	%{_sbindir}/update-alternatives --set gl_conf "${current_glconf}"
fi
true

%postun common
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/standard.conf ]; then
	/usr/sbin/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
fi

%files

%files common
%dir %{_libdir}/xorg/modules
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/app-defaults
%dir %{_sysconfdir}/X11/fontpath.d
%dir %{_sysconfdir}/ld.so.conf.d/GL
%dir %{_sysconfdir}/X11/xorg.conf.d
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%{_sysconfdir}/ld.so.conf.d/GL/standard.conf
%{_bindir}/gtf
%{_bindir}/cvt
/sbin/mageia-setup-keyboard
/lib/udev/rules.d/61-x11-input.rules
%{_bindir}/vdltodmx
%{_libdir}/xorg/modules/*
%{_libdir}/xorg/protocol.txt
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/gtf.*
%{_mandir}/man1/cvt.*
%{_mandir}/man1/vdltodmx.*
%{_mandir}/man4/*

%global Xorgperms %attr(4755, root, root)

%files xorg
%{_bindir}/X
%{_bindir}/Xorg
%{_libexecdir}/Xorg
%{Xorgperms} %{_libexecdir}/Xorg.wrap
%attr(4755,root,root)%{_bindir}/Xwrapper
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_mandir}/man1/Xorg.1*
%{_mandir}/man1/Xorg.wrap.1*
%{_mandir}/man1/Xserver.1*
%{_mandir}/man5/Xwrapper.config.5*
%{_mandir}/man5/xorg.conf.5*
%{_mandir}/man5/xorg.conf.d.5*
%{_datadir}/X11/xorg.conf.d/00-modules.conf
%{_datadir}/X11/xorg.conf.d/10-quirks.conf

%files xnest
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.1*

%files xdmx
%{_bindir}/Xdmx
%{_bindir}/dmx*
%{_bindir}/xdmx*
%{_mandir}/man1/Xdmx.1*
%{_mandir}/man1/dmxtodmx.1*
%{_mandir}/man1/xdmxconfig.1*

%files xvfb
%{_bindir}/Xvfb
%{_bindir}/xvfb-run
%{_mandir}/man1/Xvfb.1*
%{_mandir}/man1/xvfb-run.1*

%files xephyr
%{_bindir}/Xephyr
%{_mandir}/man1/Xephyr.1*

%if %with xfake
%files xfake
%{_bindir}/Xfake
%endif

%files xfbdev
%{_bindir}/Xfbdev

%files xwayland
%{_bindir}/Xwayland

%files devel
%{_bindir}/xserver-sdk-abi-requires
%{_libdir}/pkgconfig/xorg-server.pc
%dir %{_includedir}/xorg
%{sdkdir}/*.h
%{_datadir}/aclocal/xorg-server.m4

%files source
%{xserver_source_dir}


%changelog
* Fri Oct 06 2017 tmb <tmb> 1.19.4-1.mga6
+ Revision: 1169483
- update to 1.19.4
- xfree86/modes: Make colormap/gamma glue code work with RandR disabled

* Thu Jul 06 2017 tmb <tmb> 1.19.3-3.mga6
+ Revision: 1109107
- fix CVE-2017-10971 and CVE-2017-10972 (mga#21191)

* Tue Mar 28 2017 tmb <tmb> 1.19.3-2.mga6
+ Revision: 1095021
- rebuild with new gcc

  + shlomif <shlomif>
    - Correct some typos.

* Thu Mar 16 2017 tv <tv> 1.19.3-1.mga6
+ Revision: 1093210
- new release

* Sat Mar 04 2017 tv <tv> 1.19.2-1.mga6
+ Revision: 1088678
- new release (security)
- drop merged patches

* Wed Mar 01 2017 tv <tv> 1.19.1-3.mga6
+ Revision: 1088376
- security fix (CVE-2017-2624, mga#20376)

* Tue Feb 14 2017 tv <tv> 1.19.1-2.mga6
+ Revision: 1086166
- fix a few input thread lock issues causing intel crashes (rhbz#1384486)

* Mon Jan 16 2017 tv <tv> 1.19.1-1.mga6
+ Revision: 1082001
- xserver 1.19.1

* Tue Jan 10 2017 stormi <stormi> 1.19.0-10.mga6
+ Revision: 1080825
- add patch from upstream to fix DRI2 freezes (mga#19869)

* Tue Dec 20 2016 tv <tv> 1.19.0-9.mga6
+ Revision: 1076208
- Add some patches for better integration with the nvidia binary driver
- Add a patch from upstream fixing a crash (rhbz#1389886)
- autobind: fix the autoconfig not working with the nvidia binary driver

* Thu Dec 01 2016 tv <tv> 1.19.0-8.mga6
+ Revision: 1071418
- stop recommending evdev as libinput obsoletes it

* Fri Nov 25 2016 tv <tv> 1.19.0-7.mga6
+ Revision: 1070173
- rebuild for older libcrypto
- actually add it
- add man pages for xvfb-run from Debian

* Wed Nov 23 2016 tv <tv> 1.19.0-6.mga6
+ Revision: 1069364
- use %%autopatch instead of doing our own custom git-am trick
- Fix use after free of cursors in Xwayland (rhbz#1385258)
- Fix an issue where some monitors would show only black, or
  partially black when secondary GPU outputs are used

* Thu Nov 17 2016 tv <tv> 1.19.0-5.mga6
+ Revision: 1067642
- make devel requires pkgconfig(xfont2)

* Wed Nov 16 2016 tv <tv> 1.19.0-4.mga6
+ Revision: 1067614
- new release
- drop merged patches
- switch to libxfont2
- disable patch 5010 from SuSe as it doesn't apply
- remove obsolete BuildConflicts on systemtap

* Sun Nov 06 2016 tv <tv> 1.18.4-4.mga6
+ Revision: 1065512
- backport xwayland fixes
- rediff suse patch to apply over other patches :-(
- make clear FBO fix is NOT a FC patch
- use autobind fix version from FC
- make clear Orime fixes comes from FC

* Sat Nov 05 2016 ghibo <ghibo> 1.18.4-3.mga6
+ Revision: 1065488
- merged 3 patches from git (increase xcb bufsize, autobind-GPU, and newer pci ids for i965 chipset for newer mesa.
- merged 2 patches from suse (disable hw cursor in mgag200 and cirrus, fix stale FDs).

* Tue Nov 01 2016 ghibo <ghibo> 1.18.4-2.mga6
+ Revision: 1064428
- Added patches from git to fix a couples of mem leaks.
- Merged Patches from FC24 for "prime".

* Tue Jul 19 2016 tmb <tmb> 1.18.4-1.mga6
+ Revision: 1042610
- glamor: Remove the FBO cache (upstream rationale: can hog more than 1 GB
  system memory for minimal speed gain, not so nice on low-spec platforms)
- update to 1.18.4
  * drop merged patches

* Thu Jul 07 2016 tmb <tmb> 1.18.3-15.mga6
+ Revision: 1039441
- sync in more fixes from upstream 1.18 branch

* Tue Jul 05 2016 tmb <tmb> 1.18.3-14.mga6
+ Revision: 1038954
- sync in fixes from upstream xorg 1.18 branch
  * drop merged fedora patches

* Thu Jun 30 2016 tv <tv> 1.18.3-12.mga6
+ Revision: 1038184
- Fix segfault caused by forced indicator update (rhbz#1335439)

* Mon Jun 20 2016 tv <tv> 1.18.3-11.mga6
+ Revision: 1036877
- BR libunwind-devel
- Add switchable-graphics / prime fixes
- requires lib(64)mesaegl1 for modesetting

* Tue May 31 2016 tv <tv> 1.18.3-10.mga6
+ Revision: 1019538
- always install vbe and int10 sdk headers (thus fixing building some drivers on arm)

* Tue May 24 2016 joequant <joequant> 1.18.3-9.mga6
+ Revision: 1018178
- rebuild without ATI patch that seems to break ATI 4270

* Sun May 22 2016 tv <tv> 1.18.3-8.mga6
+ Revision: 1017527
- patch 1000: enable to keep ati/openchrome to work if we ever disable DRI1
- patch 10004: fix incorrect numlock LED after keyboard map switch (rhbz#1047151)

* Wed Apr 20 2016 tv <tv> 1.18.3-7.mga6
+ Revision: 1003718
- fix looking up 32bit extra modules
- drop patch 3000: fdo#47266 was fixed differently upstream

* Tue Apr 19 2016 tv <tv> 1.18.3-6.mga6
+ Revision: 1003585
- replace patch 905 by a xorg.conf.d snippet
  (thus fixing a %%post error -- mga#18139)
- drop patch 904 (-noAutoDevices option)
  (everything is using udev those days:w
- drop patch 907 (-nr compat option; scripts had years for switching to
  "-background none")
- Stop bug warnings on three-finger pinch gestures (rhbz#1282252)

* Wed Apr 06 2016 tv <tv> 1.18.3-5.mga6
+ Revision: 998864
- restore support for extra module directory (still used by nvidia & co)
- drop %%dist

* Tue Apr 05 2016 tv <tv> 1.18.3-4.mga6.mga6
+ Revision: 998770
- BR git
- create xorg.conf.d the FC way (2x smaller pkg)
- add quircks from FC
- drop long overdue X11R6 compat links
- add quircks from FC
- simplify with %%bcond
- expliitely disable dtrace
- drop some useless options
- kill very old obsoletes
- apply patches the FC way
  => really apply present fixes from FC
- further clean (SILE?T)
- further clean (SILE?T)
- drop support for disabling dmx
- drop support for unused extra module directory

* Tue Apr 05 2016 tv <tv> 1.18.3-2.mga6
+ Revision: 998691
- Fix a performance cliff in present triggered by plasma

* Tue Apr 05 2016 tv <tv> 1.18.3-1.mga6
+ Revision: 998686
- new release

* Sat Mar 12 2016 tv <tv> 1.18.2-1.mga6
+ Revision: 989365
- new release

* Tue Feb 09 2016 tmb <tmb> 1.18.1-1.mga6
+ Revision: 952946
- update to 1.18.1

* Fri Jan 29 2016 luigiwalser <luigiwalser> 1.18.0-12.mga6
+ Revision: 928581
- do not require specific version of update-alternatives

* Tue Jan 12 2016 tmb <tmb> 1.18.0-11.mga6
+ Revision: 922044
- disable P128
- temporarily disable parallell build
- add fixes from upstream server-1.18-branch

* Tue Dec 15 2015 ovitters <ovitters> 1.18.0-10.mga6
+ Revision: 910774
- use upstream suid wrapper

* Tue Dec 15 2015 tv <tv> 1.18.0-9.mga6
+ Revision: 910606
- add FC patches for Xwrapper

* Wed Nov 11 2015 tv <tv> 1.18.0-8.mga6
+ Revision: 902247
- submit to core/release

* Tue Nov 10 2015 tv <tv> 1.18.0-7.mga6
+ Revision: 901427
- recommends instead of requiring evdev+libinput

* Tue Nov 10 2015 tv <tv> 1.18.0-6.mga6
+ Revision: 901272
- adjust file list
- temporary disable python bytecompiling
- new release

* Thu Oct 29 2015 tv <tv> 1.17.4-6.mga6
+ Revision: 896500
- new release

* Fri Aug 21 2015 tmb <tmb> 1.17.2-6.mga6
+ Revision: 867070
- rebuild for new gcc

* Thu Aug 20 2015 tmb <tmb> 1.17.2-5.mga6
+ Revision: 866719
- rebuild with gcc 5.2.1

* Tue Aug 18 2015 tmb <tmb> 1.17.2-4.mga6
+ Revision: 865423
- rebuild with new glibc

* Fri Jul 31 2015 tmb <tmb> 1.17.2-3.mga6
+ Revision: 860183
- testbuild with new binutils

* Sun Jun 21 2015 tv <tv> 1.17.2-2.mga6
+ Revision: 837683
- requires x11-driver-input-libinput

* Sat Jun 20 2015 tv <tv> 1.17.2-1.mga6
+ Revision: 836728
- new release

* Sat Jun 20 2015 tv <tv> 1.17.1-1.mga6
+ Revision: 835791
- new release

* Sat Feb 21 2015 tv <tv> 1.16.4-2.mga5
+ Revision: 816219
- enable glamor (mga#14509)

* Thu Feb 12 2015 tmb <tmb> 1.16.4-1.mga5
+ Revision: 814764
- update to 1.16.4
  * drop merged patches

* Thu Feb 12 2015 tv <tv> 1.16.3-4.mga5
+ Revision: 814747
- use mktemp and use it properly (rhbz#632879 & 499234 which is CVE-2009-1573)

* Wed Feb 11 2015 luigiwalser <luigiwalser> 1.16.3-3.mga5
+ Revision: 814702
- add upstream patches to fix CVE-2015-0255

* Sun Feb 08 2015 tmb <tmb> 1.16.3-2.mga5
+ Revision: 814171
- dix: Allow zero-height PutImage requests
- os: Fix timer race conditions
- randr: attempt to fix primary on slave output (v2)
- config/udev: Respect seat assignments when assigned devices
- dix: make RegionInit legal C++
- dri2: SourceOffloads may be for DRI3 only

* Sat Dec 20 2014 tv <tv> 1.16.3-1.mga5
+ Revision: 804519
- new release

* Sat Dec 13 2014 tv <tv> 1.16.2.901-1.mga5
+ Revision: 802892
- new release

* Wed Nov 19 2014 tv <tv> 1.16.2-1.mga5
+ Revision: 797889
- new release

  + colin <colin>
    - Add a note about checking journal output rather than /dev/null

* Wed Oct 15 2014 umeabot <umeabot> 1.16.1-2.mga5
+ Revision: 748070
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tmb <tmb> 1.16.1-1.mga5
+ Revision: 721826
- update to 1.16.1

* Tue Sep 16 2014 umeabot <umeabot> 1.16.0-8.mga5
+ Revision: 690523
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Fri Sep 12 2014 colin <colin> 1.16.0-7.mga5
+ Revision: 674804
- Actually apply patch 1002: fix cogl/clutter crashes

* Fri Sep 12 2014 tv <tv> 1.16.0-6.mga5
+ Revision: 674782
- patch 1002: fix cogl/clutter crashes

* Tue Sep 09 2014 tmb <tmb> 1.16.0-5.mga5
+ Revision: 674223
- rebuild with new glibc

* Thu Sep 04 2014 joequant <joequant> 1.16.0-4.mga5
+ Revision: 671741
- rebuild for new systemd

* Thu Aug 21 2014 blino <blino> 1.16.0-3.mga5
+ Revision: 666123
- rebuild for x11-proto-devel with presentproto fix

* Tue Jul 29 2014 tv <tv> 1.16.0-2.mga5
+ Revision: 657843
- rebuild with fixed gcc (might fix mga#13774)

* Thu Jul 17 2014 tv <tv> 1.16.0-1.mga5
+ Revision: 653468
- new release

* Tue Jul 08 2014 tv <tv> 1.15.99.904-1.mga5
+ Revision: 650610
- new release
- drop merged patch

* Thu Jun 26 2014 tv <tv> 1.15.99.903-4.mga5
+ Revision: 639902
- fix xvfb segfaulting (mga#13598)

* Sat Jun 14 2014 tv <tv> 1.15.99.903-3.mga5
+ Revision: 636090
- BR egl/gbm/systemd
- enable dbus support
- enable systemd support
- drop option for building w/o udev support
- kill unsupported options: (--disable|--enable)-(builddocs|config-dbus)
- convert BR to pkgconfig(*) style

* Mon Jun 09 2014 tv <tv> 1.15.99.903-2.mga5
+ Revision: 634943
- submit to core/release

* Thu Jun 05 2014 tmb <tmb> 1.15.99.903-1.1.mga5
+ Revision: 633591
- videodrv abi is now 18

  + tv <tv>
    - new RC

* Mon Apr 14 2014 tv <tv> 1.15.99.902-1.mga5
+ Revision: 614291
- package xwayland
- fix compiling
- BR pkgconfig(epoxy)
- BR pkgconfig(wayland-client)
- bump xinput_major
- bump videodrv_major
- 1.16 RC
- temporary disable patch 908
- rediff patch 3000

* Mon Apr 14 2014 fwang <fwang> 1.15.1-1.mga5
+ Revision: 613966
- 1.15.1

* Mon Apr 14 2014 tv <tv> 1.15.0.901-1.mga5
+ Revision: 613947
- 1.15 RC1

* Mon Feb 17 2014 tmb <tmb> 1.15.0-7.mga5
+ Revision: 593945
- rebuild with new glibc

* Sat Feb 08 2014 tmb <tmb> 1.15.0-6.mga5
+ Revision: 586765
- test build with new glibc

* Fri Feb 07 2014 fwang <fwang> 1.15.0-5.mga5
+ Revision: 584988
- really use correct macro

* Fri Feb 07 2014 fwang <fwang> 1.15.0-4.mga5
+ Revision: 584984
- filter python abi req

* Wed Feb 05 2014 tv <tv> 1.15.0-3.mga5
+ Revision: 582808
- BR pkgconfig(xshmfence) for DRI3

* Tue Feb 04 2014 tv <tv> 1.15.0-2.mga5
+ Revision: 582133
- adjust file list
- disable _python_bytecompile_errors_terminate_build
- BR python3 for ./hw/xwin/glx/gen_gl_wrappers.py
- add 3 more xcb BR
- BR xcb-util-devel
- new release
- drop merged patch

* Thu Dec 26 2013 luigiwalser <luigiwalser> 1.14.5-2.mga4
+ Revision: 560868
- add patch from debian to fix CVE-2013-6424

* Sun Dec 15 2013 tmb <tmb> 1.14.5-1.mga4
+ Revision: 556845
- 1.14.5 (maintenance release)

* Fri Dec 06 2013 tmb <tmb> 1.14.4-3.mga4
+ Revision: 555552
- push to /release

* Wed Dec 04 2013 tmb <tmb> 1.14.4-2.mga4
+ Revision: 555146
- glx: Add support for the new DRI loader entrypoint

* Fri Nov 08 2013 tmb <tmb> 1.14.4-1.mga4
+ Revision: 550030
- dont use %%apply_patches as the backup files end up in x11-server-source
- drop merged CVE patch

  + tv <tv>
    - new release

* Mon Oct 21 2013 umeabot <umeabot> 1.14.3-4.mga4
+ Revision: 541067
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.14.3-3.mga4
+ Revision: 495038
- add upstream patch to fix CVE-2013-4396

* Mon Sep 16 2013 tv <tv> 1.14.3-2.mga4
+ Revision: 480226
- fix Xephyr segfault with 8 or 16-bit color depth

* Fri Sep 13 2013 fwang <fwang> 1.14.3-1.mga4
+ Revision: 478314
- new version 1.14.3

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.14.2.902-2.mga4
+ Revision: 474911
- rpm no longer allows listing a symlink to a directory as a dir in files

  + tv <tv>
    - 1.14.3 RC2

* Sun Aug 11 2013 tmb <tmb> 1.14.2-6.mga4
+ Revision: 465403
- rebuild with new gcc

* Thu Aug 08 2013 tmb <tmb> 1.14.2-5.mga4
+ Revision: 464643
- gcc-4.8.2 build

* Thu Aug 08 2013 tmb <tmb> 1.14.2-4.mga4
+ Revision: 464642
- glx: fix uninitialized var in __glXDRIscreenProbe (fdo#59825)

* Thu Aug 01 2013 tmb <tmb> 1.14.2-3.mga4
+ Revision: 462258
- force gcc 4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 1.14.2-2.mga4
+ Revision: 462179
- test gcc-4.8.2 build

* Wed Jun 26 2013 fwang <fwang> 1.14.2-1.mga4
+ Revision: 446715
- new version 1.14.2

* Fri Jun 14 2013 tv <tv> 1.14.1.902-1.mga4
+ Revision: 443012
- 1.14.2 RC2

* Fri May 31 2013 tv <tv> 1.14.1.901-1.mga4
+ Revision: 433651
- 1.14.2 RC1

* Thu May 30 2013 tv <tv> 1.14.1-2.mga4
+ Revision: 433084
- submit to core/release

* Thu May 23 2013 tv <tv> 1.14.1-1.mga4
+ Revision: 424873
- new release

* Mon Apr 22 2013 tmb <tmb> 1.13.4-2.mga3
+ Revision: 410863
- drop P100 as it did not fix sis support and broke vboxvideo (#9716)

* Wed Apr 17 2013 tmb <tmb> 1.13.4-1.mga3
+ Revision: 410251
- 1.13.4 (CVE-2013-1940)

* Wed Apr 10 2013 tmb <tmb> 1.13.3-2.mga3
+ Revision: 409375
- dri1: fix dri1 startup since 459c6da0f907ba33d733c7e62a116184ba2f14e5
  (Move DRI1 from external module to built-in) (P100, upstream)

* Sat Mar 09 2013 fwang <fwang> 1.13.3-1.mga3
+ Revision: 401996
- new version 1.13.3 final

* Sat Mar 02 2013 tmb <tmb> 1.13.2.902-1.mga3
+ Revision: 401062
- randr: cleanup provider properly (fdo #58174)
- update to 1.13.3-to 1.13.3-rc2

* Sat Feb 23 2013 tmb <tmb> 1.13.2.901-1.mga3
+ Revision: 400092
- 1.13.3-rc1 (maintenance release)

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.13.2-2.mga3
+ Revision: 397217
- remove obsolete pre script

* Fri Jan 25 2013 fwang <fwang> 1.13.2-1.mga3
+ Revision: 392267
- new version 1.13.2

* Mon Jan 14 2013 umeabot <umeabot> 1.13.1.901-2.mga3
+ Revision: 386393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 1.13.1.901-1.mga3
+ Revision: 338950
- 1.13.2 RC1

* Tue Jan 01 2013 tmb <tmb> 1.13.1-2.mga3
+ Revision: 337395
- rebuild for new glibc

* Fri Dec 14 2012 tv <tv> 1.13.1-1.mga3
+ Revision: 330842
- new release

* Fri Dec 07 2012 tv <tv> 1.13.0.902-1.mga3
+ Revision: 327966
- 1.13.1-rc2

* Fri Nov 30 2012 tv <tv> 1.13.0.901-1.mga3
+ Revision: 323333
- bump videodrv minor
- drop merged patches
- 1.13.1-rc1

* Mon Nov 05 2012 tv <tv> 1.13.0-7.mga3
+ Revision: 314428
- fix Cairo corruption (mga#7635, fdo#55723)

* Sun Oct 07 2012 tv <tv> 1.13.0-6.mga3
+ Revision: 303203
- update glyphs cache patch

* Sat Sep 15 2012 tv <tv> 1.13.0-5.mga3
+ Revision: 294095
- use new pixman API for caching glyphs (3.45x firefox speedup)

* Fri Sep 14 2012 blino <blino> 1.13.0-4.mga3
+ Revision: 293723
- dri2: invalidate drawable after sharing pixmap (for PRIME, from Dave Airlie, Fedora)

* Fri Sep 07 2012 tv <tv> 1.13.0-3.mga3
+ Revision: 289348
- bump release

* Fri Sep 07 2012 tv <tv> 1.13.0-2.mga3
+ Revision: 289338
- requires GL-devel for pkgconfig file (fix drivers building)

* Thu Sep 06 2012 tv <tv> 1.13.0-1.mga3
+ Revision: 288744
- new release
- rediff patches 904 & 906

* Mon Aug 27 2012 fwang <fwang> 1.12.4-1.mga3
+ Revision: 284617
- new version 1.12.4

* Sun Aug 26 2012 tv <tv> 1.12.3.902-1.mga3
+ Revision: 284361
- bump videodrv_minor
- 1.12.4 RC2

* Wed Jul 18 2012 tmb <tmb> 1.12.3-2.mga3
+ Revision: 272329
- drop requires on tirpc-devel as glibc provides full rpc support again

  + fwang <fwang>
    - drop xcalibrate switch

* Mon Jul 09 2012 fwang <fwang> 1.12.3-1.mga3
+ Revision: 269005
- new version 1.12.3

* Fri Jun 29 2012 colin <colin> 1.12.2-6.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Fri Jun 29 2012 colin <colin> 1.12.2-5.mga3
+ Revision: 264834
- Do not install udev rules into /etc.
- Remove all HAL support options.
- Use more robust udev script/rules (note this will die soonish)

* Fri Jun 29 2012 colin <colin> 1.12.2-4.mga3
+ Revision: 264817
- Fix mageia-setup-keyboard to work with new udev.

* Tue Jun 19 2012 tv <tv> 1.12.2-3.mga3
+ Revision: 261988
- rebuild for new libudev

* Wed Jun 06 2012 tmb <tmb> 1.12.2-2.mga3
+ Revision: 256304
- rebuild for core/release

* Thu May 31 2012 tv <tv> 1.12.2-1.mga3
+ Revision: 252482
- kill old upgrade bits (/usr/X11R6 -> /usr)
- clean obsolete obsoletes tags
- rediff more patches
- new release
- rediff patches

* Wed May 30 2012 tv <tv> 1.12.0-1.mga3
+ Revision: 249761
- new release
- drop merged patches
- rediff patches
- explain patch 902

* Tue May 29 2012 tv <tv> 1.11.4-4.mga3
+ Revision: 249162
- bump release

* Tue May 29 2012 tv <tv> 1.11.4-3.mga3
+ Revision: 249124
- fix issues with new cairo

* Fri Mar 02 2012 anssi <anssi> 1.11.4-2.mga2
+ Revision: 216884
- add additional 'xserver-abi(videodrv)' versioned provide as the existing
  'xserver-abi(videodrv-MAJOR)' versioned provide can't be used with
  proprietary drivers that support multiple ABIs

  + fwang <fwang>
    - now it like dual arch package

* Sat Jan 28 2012 fwang <fwang> 1.11.4-1.mga2
+ Revision: 202648
- new version 1.11.4

* Sun Jan 22 2012 tv <tv> 1.11.3.902-1.mga2
+ Revision: 199625
- new RC

* Tue Jan 10 2012 colin <colin> 1.11.3.901-1.mga2
+ Revision: 194368
- Update to 1.11.3.901 (fixes compilation problems)
- Add two patches for GTK+/XI2 issue (fdo#44079, bgo#657578)

  + tv <tv>
    - bump release

  + fwang <fwang>
    - disable strict compilatio
    - new version 1.11.3
      drop merged upstream patch

* Tue Dec 06 2011 tmb <tmb> 1.11.2-3.mga2
+ Revision: 177429
- submit to core/release

* Tue Nov 29 2011 colin <colin> 1.11.2-2.mga2
+ Revision: 174094
- Add upstream patch to fix XI2 keygrabs (fixes gnome multimedia key handling)

* Sun Nov 06 2011 tv <tv> 1.11.2-1.mga2
+ Revision: 164205
- new release

* Sun Oct 23 2011 tmb <tmb> 1.11.1-1.mga2
+ Revision: 157533
- add BR: tirpc-devel for rpc support as glibc-2.14 does not provide it anymore
- push to release

* Sat Oct 08 2011 colin <colin> 1.11.1-0.1.mga2
+ Revision: 153021
- New version: 1.11.1

  + fwang <fwang>
    - new version 1.10.4

  + tv <tv>
    - 1.10.4RC2
    - 1.10.4 RC1

* Sat Jul 09 2011 fwang <fwang> 1.10.3-1.mga2
+ Revision: 120835
- new version 1.10.3

* Thu Jun 16 2011 tv <tv> 1.10.2-1.mga2
+ Revision: 108470
- new release

* Sun Apr 17 2011 tv <tv> 1.10.1-1.mga1
+ Revision: 87463
- new release

* Tue Apr 12 2011 tv <tv> 1.10.0.902-1.mga1
+ Revision: 83573
- New version: 1.10.1 RC2

* Fri Apr 01 2011 tv <tv> 1.10.0.901-1.mga1
+ Revision: 79648
- New version: 1.10.1 RC1

  + misc <misc>
    - fix the vendor name ( #595 )

* Thu Mar 03 2011 tv <tv> 1.10.0-1.mga1
+ Revision: 63783
- sync with Mandriva
- New version: 1.10.0
- Dropped patches:
  - 401: partially applied, see patch 907
  - 402: the place where we copied the patch from is not using it anymore
  - 1000: applied upstream
- New patches:
  - 907: implement what's left from old patch 401
- Rediff other patches, fix patch numbering
- Rediff 1001-do-not-crash-if-xv-not-initialized.patch
- Add some comments about patches we might want to remove

* Wed Feb 16 2011 blino <blino> 1.9.4-2.mga1
+ Revision: 52765
- do not crash if Xv is not initialized (patch from xorg-devel ML)

* Tue Feb 15 2011 tmb <tmb> 1.9.4-1.mga1
+ Revision: 51956
- P1000: Fix garbaged screen with latest ati driver 6.14 on open
  openoffice.org startup (color tiling issue, fdo bug #33929)(tv)
- update to 1.9.4 final

* Mon Feb 14 2011 dmorgan <dmorgan> 1.9.3.902-2.mga1
+ Revision: 51709
- Fix kb layout

* Wed Feb 02 2011 dmorgan <dmorgan> 1.9.3.902-1.mga1
+ Revision: 46236
- Fix x11-util-macros version
- New version 1.9.3.902

* Wed Jan 12 2011 dmorgan <dmorgan> 1.9.3-4.mga1
+ Revision: 7552
- Enable back udev support

* Tue Jan 11 2011 dmorgan <dmorgan> 1.9.3-3.mga1
+ Revision: 6194
- Do not enable udev for now
- Do not build the doc
- Change binary name
- Add mageia bugzilla
- imported package x11-server

